.vagrant
-build
icinga-version.h.fallback
*.komodoproject
--- /dev/null
+.build
+config
--- /dev/null
+Icinga 2 Development Environment
+================================
+
+The `build' script in this directory builds Icinga 2 in a Docker VM.
--- /dev/null
+FROM debian:jessie
+RUN apt-get update
+RUN apt-get install -y clang cmake make ccache flex bison libboost-all-dev libssl-dev git-core cgdb
+RUN mkdir /root/build
+ADD build /root/build
+ENV HOME /root
--- /dev/null
+#!/bin/sh
+cd $(dirname -- $0)/icinga2-build || exit 1
+
+CCACHE_SLOPPINESS="include_file_mtime"
+export CCACHE_SLOPPINESS
+
+if [ ! -e CMakeCache.txt ]; then
+ CC="ccache clang" CXX="ccache clang++" cmake ../icinga2 -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=/opt/icinga2 -DCMAKE_INSTALL_SYSCONFDIR=/root/icinga2-config
+fi
+
+make -j 4 && make install && cgdb -ex r --args /opt/icinga2/sbin/icinga2 -c /root/icinga2-config/icinga2/icinga2.conf -DUseVfork=0
--- /dev/null
+#!/bin/sh
+cd `dirname -- $0`
+DIR=`pwd`
+
+cd docker
+docker.io build -t icinga2 --rm .
+docker.io run -v $DIR/..:/root/icinga2 -v $DIR/.build:/root/icinga2-build -v $HOME/.ccache:/root/.ccache -v $DIR/config:/root/icinga2-config -t -i icinga2 /root/build